CUDA Runtime API (PDF) - v10.1.105 (older) - Last updated February 8, 2019 - Send Feedback

## 6.11. cudaExternalSemaphoreSignalParams Struct Reference

## [Data types used by CUDA Runtime]

External semaphore signal parameters

### Public Variables

cudaExternalSemaphoreSignalParams::@10::@11 fence
unsigned int flags
unsigned long long value

### Variables

cudaExternalSemaphoreSignalParams::@10::@11 cudaExternalSemaphoreSignalParams::fence [inherited]

  Parameters for fence objects

unsigned int cudaExternalSemaphoreSignalParams::flags [inherited]

  Flags reserved for the future. Must be zero.

unsigned long long cudaExternalSemaphoreSignalParams::value [inherited]

  Value of fence to be signaled